## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global rdnsappid xyz.ketok.Speedtest

Name:           speedtest
Version:        1.1.0
Release:        %autorelease
Summary:        A graphical librespeed client written using gtk4 + libadwaita

License:        GPL-3.0-or-later
URL:            https://github.com/Ketok4321/speedtest
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
# fix: Non-standard-executable-perm
# https://github.com/Ketok4321/speedtest/pull/19
Patch0:         %{url}/pull/19.patch#/fix:-Non-standard-executable-perm.patch

BuildArch:      noarch

BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  meson >= 0.62.0
BuildRequires:  python3-devel
BuildRequires:  blueprint-compiler >= 0.10.0

BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(aiohttp)

BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libadwaita-1)

Requires:       hicolor-icon-theme
Requires:       libadwaita
Requires:       python3-gobject

%description
%{summary}


%prep
%autosetup -p1


%build
%meson
%meson_build


%install
%meson_install
%find_lang %{name}


%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop


%files -f %{name}.lang
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/icons/hicolor/*/*/*.svg
%{_metainfodir}/*.xml


%changelog
* Sun Oct 01 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 1.1.0-1
- Initial
